#ifndef PQSPACERITEM_H
#define PQSPACERITEM_H

#include <QSpacerItem>
#include <pqobject.h>

class PQSpacerItem;
class PQSpacerItem : public QObject {
    Q_OBJECT
    PQ_OBJECT_EX(QObject)

public:
    PQSpacerItem(int w,
                 int h,
                 int hPolicy = 1,
                 int vPolicy = 1);

    ~PQSpacerItem();

    Q_INVOKABLE void changeSize(int w,
                                int h,
                                int hPolicy = 1,
                                int vPolicy = 1);

    PQ_ON_SIGNAL_DECL_START {
    } PQ_ON_SIGNAL_DECL_END

private:
    QSpacerItem *spacer;
};

Q_DECLARE_METATYPE(PQSpacerItem*)

#endif // PQSPACERITEM_H
